# External Interaction

- [Toot new videos on Mastodon automatically (with Python)](https://github.com/PhieF/MiscConfig/blob/master/Peertube/peertubetomasto.py)
- [Seed automatically with some bash-fu and WebTorrent Desktop (in french)](https://linuxfr.org/users/yolo42/journaux/repliquer-ses-videos-peertube-premiers-pas)

- [Peeror: Scripting video uploads (with Python)](https://git.rigelk.eu/rigelk/peeror/wiki) [should still work and be easy to hack on, but in case it doesn't because of a change of PeerTube's API, please use `prismedia` below - it is a bit more complex but is keeping pace with PeerTube much more closely]
- [Example with Peeror: Scripting automatic mirror of a YouTube channel/playlist to PeerTube (with Python)](https://git.rigelk.eu/rigelk/peeror) [same as above]
- [Prismedia: Scripting video uploads to PeerTube and YouTube at the same time (with Python)](https://git.lecygnenoir.info/LecygneNoir/prismedia)

The API is also documented via OpenAPI. You can have a look at [the quickstart](https://github.com/Chocobozzz/PeerTube/blob/develop/support/doc/api/quickstart.md).

# Discover other PeerTube servers
There is now a dynamic list at [instances.peertu.be](https://instances.peertu.be/instances), maintained by [@Chocobozzz](https://github.com/Chocobozzz). It is not playing any role in the federation process at the moment, but it's a nice aid if you want to discover instances or be discovered.

If you want to follow them automatically as they come you have 2 scripts, but *then beware that you blindly trust every other admin for enforcing sane moderation policies* :
* [Peetube AutoDiscover](https://framagit.org/Jorropo/peertube-autodiscover) by Jorropo, that uses following and followers list of nodes you already follow to discover new nodes.
    - Can discover nodes unlisted in the official list (if an admin forgot to add their node in the official list this isn't a problem) as it recursively asks nodes you already know.
    - Doesn't require a central node exchange point (node list)
    - More secure than shell script (shell script use file as variable for storage of login token)
* [script from Skid](https://github.com/Chocobozzz/PeerTube/issues/406#issuecomment-397452809) and [python3 version](https://framagit.org/Jorropo/peertube-autodiscover/blob/master/updateFromInstancesList.py)
    - Faster
    - Protects privacy (maybe if a node isn't listed on [instances.peertu.be](https://instances.peertu.be/instances) there is a reason)

You can do a cron like `*/10 * * * * /opt/peertube-autofollow.py >/dev/null 2>&1` to automate its update.

# Other Documentations

We are in the process of merging documentations. Please bear with us, something nice is gonna come out of this, but for now please refer to the README.

[User documentation :fr:](https://mypads.framapad.org/mypads/?/mypads/group/dane-8igx75o/pad/view/documentation-utilisateurs-peertube-pn4bhb7kr)